> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withgale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Methods

> List the cards your shoppers have stored

# List Payment Methods

Returns the payment methods stored for your account in the mode of the API key (test or live).

## Endpoint

```
GET /api/v2/payment-methods
```

## Authentication

```bash theme={null}
Authorization: Bearer glm_test_YOUR_API_KEY
```

## Query Parameters

| Parameter | Type | Required | Description |
| :- | :- | :- | :- |
| `checkout_id` | string | No | Only the payment method stored by this checkout |
| `customer_email` | string | No | Only payment methods stored by this customer |
| `limit` | integer | No | Maximum number to return, 1 to 100 |

## Response

```json theme={null}
{
  "success": true,
  "data": [
    {
      "id": "pm_fc61f9c445dd477287c47052087dc91c",
      "type": "card",
      "brand": "visa",
      "last4": "1111",
      "exp_month": "03",
      "exp_year": "2030",
      "usage": "off_session",
      "status": "active",
      "checkout_id": "cs_abc123",
      "customer_email": "jane@example.com",
      "last_used_at": "2026-12-10T09:15:02Z",
      "created_at": "2026-11-10T21:04:11Z"
    }
  ]
}
```

## Example

```bash theme={null}
curl "https://api.withgale.com/api/v2/payment-methods?customer_email=jane@example.com" \
  -H "Authorization: Bearer glm_test_YOUR_API_KEY"
```

## Errors

| Status Code | Error Code | Description |
| :- | :- | :- |
| 401 | `unauthorized` | Invalid API key |
| 404 | `PAYMENT_METHOD_001` | Saved payment methods are not enabled for this account |

## Related

* [Payment Method Object](https://docs.withgale.com/api-reference/objects/payment-method.md)
* [Get a Payment Method](https://docs.withgale.com/api-reference/endpoint/get-payment-method.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.